Debian Bug report logs - #638741
libao4: Multi-Arch support

version graph

Package: libao4; Maintainer for libao4 is Ron Lee <ron@debian.org>; Source for libao4 is src:libao.

Reported by: Steve Kowalik <stevenk@debian.org>

Date: Sun, 21 Aug 2011 14:15:01 UTC

Severity: normal

Tags: patch

Found in version libao/1.0.0-5

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>:
Bug#638741; Package libao4. (Sun, 21 Aug 2011 14:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Kowalik <stevenk@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>. (Sun, 21 Aug 2011 14:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Kowalik <stevenk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libao4: Multi-Arch support
Date: Mon, 22 Aug 2011 00:04:10 +1000
[Message part 1 (text/plain, inline)]
Package: libao4
Version: 1.0.0-5
Severity: normal
Tags: patch

Hi,

    Please find attached my diff to add multi-arch support to libao. I
have also removed the .la files that were shipped by the package, which
closes bug #633179.

-- System Information:
Debian Release: squeeze/sid
  APT prefers natty-updates
  APT policy: (500, 'natty-updates'), (500, 'natty-security'), (500, 'natty')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-10-generic (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libao4 depends on:
ii  libao-common              1.0.0-5        Cross Platform Audio Output Librar
ii  libc6                     2.13-0ubuntu13 Embedded GNU C Library: Shared lib

libao4 recommends no packages.

Versions of packages libao4 suggests:
ii      1.0.24.1-0ubuntu5                    shared library for ALSA applicatio
ii      1.9.2-4ubuntu1                       Network Audio System - shared libr
ii      0.2.41-8                             Enlightened Sound Daemon - Shared 
ii      1:0.9.22+stable-queue-24-g67d18-0ubu PulseAudio client libraries

-- no debconf information
[libao_1.1.0-2.debdiff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>:
Bug#638741; Package libao4. (Thu, 08 Dec 2011 20:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>. (Thu, 08 Dec 2011 20:06:05 GMT) Full text and rfc822 format available.

Message #10 received at 638741@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: 638741@bugs.debian.org
Cc: Steve Kowalik <stevenk@debian.org>
Subject: updated patch
Date: Thu, 8 Dec 2011 12:03:38 -0800
[Message part 1 (text/plain, inline)]
Hi,

This is an updated Multi-arch path with additional changes to the rules
file.

Thanks,

-Kees

-- 
Kees Cook                                            @debian.org
[libao_1.1.0-2.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Fri, 29 Jun 2012 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 29 Jun 2012 12:42:04 GMT) Full text and rfc822 format available.

Message #15 received at 638741@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Goswin von Brederlow <goswin-v-b@web.de>, 679526@bugs.debian.org
Cc: 638741@bugs.debian.org, control <control@bugs.debian.org>
Subject: Re: Bug#679526: Build-Depends on obsolete package ia32-libs-dev
Date: Fri, 29 Jun 2012 14:42:08 +0200
block 679526 by 638741
thanks

Am 29.06.2012 14:23, schrieb Goswin von Brederlow:
> as has long been anounced ia32-libs-dev will not be in wheezy since
> 32bit support will be replaced by multiarch. Since your package still
> Build-Depends on ia32-libs-dev this means it will no longer build from
> source.  Please multiarchify your package.

That's easier said than done. This week I tried to install zsnes:i386 
on amd64 and it failed, because one of its dependencies was not yet 
multiarchyfied. I am looking at you, libao!

 - Fabian





Added indication that bug 638741 blocks 679526 Request was from Fabian Greffrath <fabian@greffrath.com> to control@bugs.debian.org. (Fri, 29 Jun 2012 12:42:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Fri, 29 Jun 2012 13:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 29 Jun 2012 13:06:26 GMT) Full text and rfc822 format available.

Message #22 received at 638741@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: Fabian Greffrath <fabian@greffrath.com>, 679526@bugs.debian.org
Cc: 638741@bugs.debian.org
Subject: Re: Bug#679526: Build-Depends on obsolete package ia32-libs-dev
Date: Fri, 29 Jun 2012 14:57:08 +0200
* Fabian Greffrath <fabian@greffrath.com> [120629 14:44]:
> That's easier said than done. This week I tried to install
> zsnes:i386 on amd64 and it failed, because one of its dependencies
> was not yet multiarchyfied. I am looking at you, libao!

Hello,

As far as zsnes is concerned, I will upload a package removing
zsnes:amd64. Whether zsnes:i386 will be installable or not will then
only depend on #638741.

Another solution would be to disable libao in zsnes but IIRC the other
sound backends are terrible.

-- 
Etienne Millon




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Fri, 29 Jun 2012 14:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 29 Jun 2012 14:06:04 GMT) Full text and rfc822 format available.

Message #27 received at 638741@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Etienne Millon <etienne.millon@gmail.com>, 638741@bugs.debian.org
Cc: Fabian Greffrath <fabian@greffrath.com>, 679526@bugs.debian.org
Subject: Re: Bug#638741: Bug#679526: Build-Depends on obsolete package ia32-libs-dev
Date: Fri, 29 Jun 2012 23:27:51 +0930
Hi,

On Fri, Jun 29, 2012 at 02:57:08PM +0200, Etienne Millon wrote:
> * Fabian Greffrath <fabian@greffrath.com> [120629 14:44]:
> > That's easier said than done. This week I tried to install
> > zsnes:i386 on amd64 and it failed, because one of its dependencies
> > was not yet multiarchyfied. I am looking at you, libao!
> 
> Hello,
> 
> As far as zsnes is concerned, I will upload a package removing
> zsnes:amd64. Whether zsnes:i386 will be installable or not will then
> only depend on #638741.

If zsnes really is i386-only, then that seems like the best answer to me.
It's not really blocked on libao being converted - at least not in the
sense that it will need further changes after it is, or can't change until
it is.

I only took over libao a few weeks ago, and I'm not really any more keen
to relocate all its files on the eve of the freeze than I was to do that
just a couple of weeks before it.  I don't know if anybody else has done
a proper audit of this to be sure there will be no problems with its
plugins - a cursory glance seems to indicate they'll probably be ok, but
I'm far from being certain enough about that to do a "beat the freeze"
upload making this change.

This one had gone on my "worry about m-a for wheezy+1" list - when m-a
itself is hopefully a little more settled and some of its intrinsic
problems might actually have solutions.  I might push one to experimental
in the meantime if there is real call for it - but I think it's way too
late to be experimenting with this in wheezy release candidates now.

 Cheers,
 Ron






Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Fri, 29 Jun 2012 14:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 29 Jun 2012 14:27:07 GMT) Full text and rfc822 format available.

Message #32 received at 638741@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Ron <ron@debian.org>
Cc: Etienne Millon <etienne.millon@gmail.com>, 638741@bugs.debian.org, 679526@bugs.debian.org
Subject: Re: Bug#638741: Bug#679526: Build-Depends on obsolete package ia32-libs-dev
Date: Fri, 29 Jun 2012 16:26:37 +0200
Am 29.06.2012 15:57, schrieb Ron:
> I only took over libao a few weeks ago, and I'm not really any more keen
> to relocate all its files on the eve of the freeze than I was to do that
> just a couple of weeks before it.  I don't know if anybody else has done
> a proper audit of this to be sure there will be no problems with its
> plugins - a cursory glance seems to indicate they'll probably be ok, but
> I'm far from being certain enough about that to do a "beat the freeze"
> upload making this change.

It has been applied in libao (1.1.0-1ubuntu2) dated back to Mon, 19 
Dec 2011 12:49:01 -0800.




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Fri, 29 Jun 2012 16:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 29 Jun 2012 16:21:05 GMT) Full text and rfc822 format available.

Message #37 received at 638741@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 679526@bugs.debian.org, 638741@bugs.debian.org
Subject: Re: Bug#679526: Build-Depends on obsolete package ia32-libs-dev
Date: Fri, 29 Jun 2012 18:17:48 +0200
Fabian Greffrath <fabian@greffrath.com> writes:

> block 679526 by 638741
> thanks
>
> Am 29.06.2012 14:23, schrieb Goswin von Brederlow:
>> as has long been anounced ia32-libs-dev will not be in wheezy since
>> 32bit support will be replaced by multiarch. Since your package still
>> Build-Depends on ia32-libs-dev this means it will no longer build from
>> source.  Please multiarchify your package.
>
> That's easier said than done. This week I tried to install zsnes:i386
> on amd64 and it failed, because one of its dependencies was not yet
> multiarchyfied. I am looking at you, libao!
>
>  - Fabian

As mentioned in the bug log for 638741 the zsnes package doesn't have to
wait for libao4. It should only set M-A: foreign and drop the amd64
build. It will then be installable with libao4:i386 if libao4:amd64
isn't installed. Not ideal but ...


As for libao4 and the multiarch patch in the BTS. I took a quick look at
the patch and I consider that incomplete. As is it switches the plugin
dir to the multiarch dir without providing backward compatibility. That
means the patch breaks all plugins for libao4 and they all need to be
multiarchified together with versioned Breaks and Depends. This is
usualy not ideal. Better would be to have libao4 look in both the old
plugin dir as well as the new plugin dir. That way plugins can be
multiarchified over time.

Other than that the patch looks fine.

MfG
        Goswin

PS: When you do decide to multiarchify libao4 please file bugs against all
the plugin packages if not already present and user tag them with
user = multiarch-devel@lists.alioth.debian.org, usertag = multiarch.




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Fri, 29 Jun 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 29 Jun 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #42 received at 638741@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>, 638741@bugs.debian.org
Cc: Etienne Millon <etienne.millon@gmail.com>, 679526@bugs.debian.org
Subject: Bug#638741: Bug#679526: Build-Depends on obsolete package ia32-libs-dev
Date: Sat, 30 Jun 2012 01:54:28 +0930
On Fri, Jun 29, 2012 at 04:26:37PM +0200, Fabian Greffrath wrote:
> Am 29.06.2012 15:57, schrieb Ron:
> >I only took over libao a few weeks ago, and I'm not really any more keen
> >to relocate all its files on the eve of the freeze than I was to do that
> >just a couple of weeks before it.  I don't know if anybody else has done
> >a proper audit of this to be sure there will be no problems with its
> >plugins - a cursory glance seems to indicate they'll probably be ok, but
> >I'm far from being certain enough about that to do a "beat the freeze"
> >upload making this change.
> 
> It has been applied in libao (1.1.0-1ubuntu2) dated back to Mon, 19
> Dec 2011 12:49:01 -0800.

And has had completely unresponded-to bugs there, like:

"libao looks for the wrong plugin directory, when one is using the
 32-bit .so provided on a 64 bit system."

dating back to Sun, 8 Jan 2012 19:57:43 ...






Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Fri, 29 Jun 2012 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 29 Jun 2012 18:03:03 GMT) Full text and rfc822 format available.

Message #47 received at 638741@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: 638741@bugs.debian.org
Cc: Etienne Millon <etienne.millon@gmail.com>
Subject: Re: Bug#638741: test results
Date: Fri, 29 Jun 2012 19:58:59 +0200
Hi,

my only concern with the patch was that it breaks other sources
providing plugins for libao. As Ron mentioned on irc there are none such
sources in debian so this is of no concern.

I've tested the patch using mpg321 as test application and it works
exactly as it should. A strace shows libao opening the right multiarch
plugin dir and loading the plugins from the multiarch plugin dir as it
should:

open("/usr/lib/x86_64-linux-gnu/ao/plugins-4", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 3
stat("/usr/lib/x86_64-linux-gnu/ao/plugins-4/libesd.so", {st_mode=S_IFREG|0644, st_size=10504, ...}) = 0

I checked the Ubuntu bugs for libao and they are not reproducable and
all concern earlier versions of libao (although that needed some
confident guessing) and do not apply to the mutiarch version.


Etienne: Could you please build a patched libao and test zsnes under
multiarch to give a second point of reference?


I would opt for including the patch before the freeze. If it breaks
something unexpected then there will be enough time during the freeze to
fix or revert it. It is only a freeze, not a release yet.

MfG
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Fri, 29 Jun 2012 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 29 Jun 2012 19:39:03 GMT) Full text and rfc822 format available.

Message #52 received at 638741@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Ron <ron@debian.org>
Cc: 638741@bugs.debian.org, Etienne Millon <etienne.millon@gmail.com>, 679526@bugs.debian.org
Subject: Re: Bug#638741: Bug#679526: Build-Depends on obsolete package ia32-libs-dev
Date: Fri, 29 Jun 2012 21:38:16 +0200
Am Samstag, den 30.06.2012, 01:54 +0930 schrieb Ron:
> And has had completely unresponded-to bugs there, like:
> "libao looks for the wrong plugin directory, when one is using the
>  32-bit .so provided on a 64 bit system."
> dating back to Sun, 8 Jan 2012 19:57:43 ...

Ouch...! /o\





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Fri, 29 Jun 2012 20:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 29 Jun 2012 20:30:02 GMT) Full text and rfc822 format available.

Message #57 received at 638741@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Goswin von Brederlow <goswin-v-b@web.de>, 638741@bugs.debian.org
Cc: Etienne Millon <etienne.millon@gmail.com>
Subject: Re: Bug#638741: test results
Date: Sat, 30 Jun 2012 05:55:51 +0930
On Fri, Jun 29, 2012 at 07:58:59PM +0200, Goswin von Brederlow wrote:
> my only concern with the patch was that it breaks other sources
> providing plugins for libao. As Ron mentioned on irc there are none such
> sources in debian so this is of no concern.

What I said doesn't mean there is no concern, it just means that all the
things which you said would need doing - without so much as a casual look
at the source or what was really needed - were completely irrelevant here.

> I checked the Ubuntu bugs for libao and they are not reproducable and
> all concern earlier versions of libao (although that needed some
> confident guessing) and do not apply to the mutiarch version.

A few hours before the freeze is not the time to be indulging in blind
guessing games and Works For Me assertions.  cf. http://bash.org/?950581
Your first round of guessing what was needed here was wrong, and this
round of guessing is based on equally little real and clear evidence.
There is a word for certainty based on things you don't really know the
full details of, but 'confidence' isn't the one that best describes it.

> I would opt for including the patch before the freeze. If it breaks
> something unexpected then there will be enough time during the freeze to
> fix or revert it. It is only a freeze, not a release yet.

The whole point of the freeze is to *fix* the remaining RC bugs so that
we can release - not to cram in last minute untested things that introduce
as many more of them as possible right before the 'deadline'.

You're months too late for "if it breaks something unexpected" speculation.
That you left reporting the remaining ia32-libs deps until the last day is
bad enough, I don't see any good reason to make it unnecessarily worse.
There are plenty of other m-a issues that you should be working on fixing
before the wheezy+1 cycle begins without adding extra busywork to that.

 Ron






Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Fri, 29 Jun 2012 21:15:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 29 Jun 2012 21:16:55 GMT) Full text and rfc822 format available.

Message #62 received at 638741@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: Goswin von Brederlow <goswin-v-b@web.de>
Cc: 638741@bugs.debian.org
Subject: Re: Bug#638741: test results
Date: Fri, 29 Jun 2012 23:05:10 +0200
* Goswin von Brederlow <goswin-v-b@web.de> [120629 22:56]:
> Etienne: Could you please build a patched libao and test zsnes under
> multiarch to give a second point of reference?

I will be able to do that but not before Sunday, I'll let you know how
it turns out.

(NB : If one wants to do the test before, I uploaded m-a support to
the zsnes git repository.)

-- 
Etienne Millon




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Sat, 30 Jun 2012 08:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 30 Jun 2012 08:45:02 GMT) Full text and rfc822 format available.

Message #67 received at 638741@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Ron <ron@debian.org>
Cc: Goswin von Brederlow <goswin-v-b@web.de>, 638741@bugs.debian.org, Etienne Millon <etienne.millon@gmail.com>
Subject: Re: Bug#638741: test results
Date: Sat, 30 Jun 2012 10:43:21 +0200
Ron <ron@debian.org> writes:

> On Fri, Jun 29, 2012 at 07:58:59PM +0200, Goswin von Brederlow wrote:
>> my only concern with the patch was that it breaks other sources
>> providing plugins for libao. As Ron mentioned on irc there are none such
>> sources in debian so this is of no concern.
>
> What I said doesn't mean there is no concern, it just means that all the
> things which you said would need doing - without so much as a casual look
> at the source or what was really needed - were completely irrelevant here.

Please stop making assumptions. I did look at the source and my analysis
was spot on. The only error I made was to assume from the concerns
raised in the bugreport about plugins being broken that there are other
sources that provide plugins for libao.

I said *THIS* is of no concern, meaning that other sources, which don't
exist, providing plugins break. Since they don't exist they also don't
break so clearly they are not a concern.

>> I checked the Ubuntu bugs for libao and they are not reproducable and
>> all concern earlier versions of libao (although that needed some
>> confident guessing) and do not apply to the mutiarch version.
>
> A few hours before the freeze is not the time to be indulging in blind
> guessing games and Works For Me assertions.  cf. http://bash.org/?950581
> Your first round of guessing what was needed here was wrong, and this
> round of guessing is based on equally little real and clear evidence.
> There is a word for certainty based on things you don't really know the
> full details of, but 'confidence' isn't the one that best describes it.

Again you take one phrase of a sentence and apply it to a totaly
different part of the sentence so you to totaly misunderstand me.

As discussed on irc figuring out the version an Ubuntu bug was reported
for and for which it applies is a guessing game. But given the dates and
any aditional hints given in the bugreport itself I made a confident
guess what version each reporter used, or at least that he didn't use
the multiarch version.


All that was just to show you that the multiarch patch isn't buggy just
because Ubuntu has a number of bugs open for libao4 and doesn't care
about closing bugs that have long since been fixed or made irelevant.
An issue you raised in defense of not applying the bug.

It was to uphold the argument that the patch has been tested by many
people, namely all the ubuntu users that use libao4 since it was
multiarchified.

>> I would opt for including the patch before the freeze. If it breaks
>> something unexpected then there will be enough time during the freeze to
>> fix or revert it. It is only a freeze, not a release yet.
>
> The whole point of the freeze is to *fix* the remaining RC bugs so that
> we can release - not to cram in last minute untested things that introduce
> as many more of them as possible right before the 'deadline'.
>
> You're months too late for "if it breaks something unexpected" speculation.
> That you left reporting the remaining ia32-libs deps until the last day is
> bad enough, I don't see any good reason to make it unnecessarily worse.
> There are plenty of other m-a issues that you should be working on fixing
> before the wheezy+1 cycle begins without adding extra busywork to that.
>
>  Ron

And again you are just spewing nonesens:

From: Steve Kowalik <stevenk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libao4: Multi-Arch support
Date: Mon, 22 Aug 2011 00:04:10 +1000

That was 10 month ago. A revised patch came in December, still 6 month
for you to do something. Your first response was Fri, 29 Jun 2012
23:27:51 +0930.

There is only one person to blame for not applying the patch or raising
concerns about it in a timely fashion and that is you. It is your
decision to make wether you accept a patch or not but then also take the
blame and don't pretend you didn't have any other choice.

MfG
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Sun, 01 Jul 2012 02:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo 'costela' Antunes <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 01 Jul 2012 02:03:03 GMT) Full text and rfc822 format available.

Message #72 received at 638741@bugs.debian.org (full text, mbox):

From: Leo 'costela' Antunes <costela@debian.org>
To: 638741@bugs.debian.org
Cc: Goswin von Brederlow <goswin-v-b@web.de>, Ron <ron@debian.org>
Subject: Re: Bug#638741: test results
Date: Sun, 01 Jul 2012 03:58:45 +0200
Hi,

Hope you guys don't mind if I just jump in here and try to cool down the
discussion, since it's getting kinda "flamy".

* Goswin von Brederlow wrote:
> That was 10 month ago. A revised patch came in December, still 6 month
> for you to do something. Your first response was Fri, 29 Jun 2012
> 23:27:51 +0930.
> There is only one person to blame for not applying the patch or raising
> concerns about it in a timely fashion and that is you.

Ron mentioned he took over the package a few weeks back [0], so this
blame shifting isn't really accurate (not to mention it's IMHO a bit too
confrontational to be constructive; though I understand you were
reacting to a equally confrontational comment from the previous email).
To get some distance and perspective I'd suggest referring this to the
release-team: if they see the possible downfall as an acceptable
trade-off for the multi-arch release goal, then go ahead with the
patching, uploading and fixing bugs as they appear. Otherwise leave it be.


Cheers

[0] http://packages.qa.debian.org/liba/libao/news/20120602T121911Z.html

-- 
Leo "costela" Antunes
[insert a witty retort here]





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Sun, 01 Jul 2012 04:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 01 Jul 2012 04:45:06 GMT) Full text and rfc822 format available.

Message #77 received at 638741@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Leo 'costela' Antunes <costela@debian.org>
Cc: 638741@bugs.debian.org
Subject: Re: Bug#638741: test results
Date: Sun, 1 Jul 2012 14:11:44 +0930
On Sun, Jul 01, 2012 at 03:58:45AM +0200, Leo 'costela' Antunes wrote:
> Hi,
> 
> Hope you guys don't mind if I just jump in here and try to cool down the
> discussion, since it's getting kinda "flamy".

Yeah, that tends to happen when people get tired of repeating themselves
to Goswin, and he keeping wanting to harp on about it ...

This already got resolved on IRC, and I only replied here to make it clear to
anyone looking at the bug that this really was off the table for Wheezy now.
The discussion can't really get much cooler than "Wheezy is now frozen".

> To get some distance and perspective I'd suggest referring this to the
> release-team: if they see the possible downfall as an acceptable
> trade-off for the multi-arch release goal, then go ahead with the
> patching, uploading and fixing bugs as they appear. Otherwise leave it be.

So let's not annoy them with this now please.  The only possible outcome of
doing this now for them is "more pain and more work and more delays before
we are in a state to release".

It will make it impossible for them to binNMU this package should it need it,
and it will burn up their time needing to review patches that really aren't
fixing anything that is remotely release critical.  And they already have
enough people requesting crazy freeze exceptions from them ...

If nobody noticed they needed an m-a version of this before now, then clearly
it's not a high priority for them, and it can easily wait until there is a
better time to start experimenting with this again.

The sooner the remaining RC bugs are fixed and we release, the sooner that
will happen.  This is how release cycles work.  It's too late for untested
things now.


 But thanks for the good intentions,
 Ron






Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Sun, 01 Jul 2012 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 01 Jul 2012 14:12:03 GMT) Full text and rfc822 format available.

Message #82 received at 638741@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: Goswin von Brederlow <goswin-v-b@web.de>
Cc: 638741@bugs.debian.org, 679526@bugs.debian.org
Subject: Re: Bug#638741: test results
Date: Sun, 1 Jul 2012 16:08:24 +0200
* Goswin von Brederlow <goswin-v-b@web.de> [120629 22:56]:
> Etienne: Could you please build a patched libao and test zsnes under
> multiarch to give a second point of reference?

Hello,

I could install zsnes:i386 on a amd64 system (with a bit pinning as
#673770 blocks SDL in testing) using the patched libao and a
multi-arch zsnes.

But, it segfaults on start (cf attached gdb trace), I believe that it
is on libao's side.

Have a nice day !

-- 
Etienne Millon




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Sun, 01 Jul 2012 14:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 01 Jul 2012 14:15:07 GMT) Full text and rfc822 format available.

Message #87 received at 638741@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: Goswin von Brederlow <goswin-v-b@web.de>
Cc: 638741@bugs.debian.org, 679526@bugs.debian.org
Subject: Re: Bug#638741: test results
Date: Sun, 1 Jul 2012 16:11:59 +0200
[Message part 1 (text/plain, inline)]
* Etienne Millon <etienne.millon@gmail.com> [120701 16:08]:
> (cf attached gdb trace)

Here it is.

-- 
Etienne Millon
[zsnes.log (text/plain, inline)]
$ gdb zsnes
GNU gdb (GDB) 7.4.1-debian
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/zsnes...(no debugging symbols found)...done.
(gdb) r
Starting program: /usr/bin/zsnes 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
ZSNES v1.51, (c) 1997-2007, ZSNES Team
Be sure to check http://www.zsnes.com/ for the latest version.

ZSNES is written by the ZSNES Team (See AUTHORS.TXT)
ZSNES comes with ABSOLUTELY NO WARRANTY.  This is free software,
and you are welcome to redistribute it under certain conditions;
please read 'LICENSE.TXT' thoroughly before doing so.

Use ZSNES -? for command line definitions.

Starting Mouse detection.
Unable to poll /dev/input/event1. Make sure you have read permissions to it.
Unable to poll /dev/input/event6. Make sure you have read permissions to it.
Unable to poll /dev/input/event5. Make sure you have read permissions to it.
Unable to poll /dev/input/event4. Make sure you have read permissions to it.
Unable to poll /dev/input/event3. Make sure you have read permissions to it.
Unable to poll /dev/input/event2. Make sure you have read permissions to it.
Unable to poll /dev/input/event0. Make sure you have read permissions to it.
ManyMouse: 0 mice detected.
[New Thread 0xf669fb70 (LWP 13995)]
[New Thread 0xf5d46b70 (LWP 14008)]

Program received signal SIGSEGV, Segmentation fault.
__strlen_sse2_bsf () at ../sysdeps/i386/i686/multiarch/strlen-sse2-bsf.S:52
52      ../sysdeps/i386/i686/multiarch/strlen-sse2-bsf.S: No such file or directory.
(gdb) bt
#0  __strlen_sse2_bsf () at ../sysdeps/i386/i686/multiarch/strlen-sse2-bsf.S:52
#1  0xf7e7ed2a in _sanitize_matrix (maxchannels=2, matrix=0x5 <Address 0x5 out of bounds>, device=<error reading variable: Unhandled dwarf expression opcode 0xfa>, 
    device=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at audio_out.c:633
#2  0xf7e80a02 in _open_device (driver_id=<optimized out>, format=0xffffd318, options=0x0, file=0x0) at audio_out.c:989
#3  0x082faf8f in ?? ()
#4  0x082fe4df in ?? ()
#5  0x082fba24 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)
(gdb) q
A debugging session is active.

        Inferior 1 [process 13992] will be killed.

Quit anyway? (y or n) y

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Sun, 01 Jul 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 01 Jul 2012 19:15:03 GMT) Full text and rfc822 format available.

Message #92 received at 638741@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Etienne Millon <etienne.millon@gmail.com>, 638741@bugs.debian.org
Cc: Goswin von Brederlow <goswin-v-b@web.de>, 679526@bugs.debian.org
Subject: Re: Bug#638741: test results
Date: Mon, 2 Jul 2012 04:41:24 +0930
On Sun, Jul 01, 2012 at 04:11:59PM +0200, Etienne Millon wrote:
> * Etienne Millon <etienne.millon@gmail.com> [120701 16:08]:
> > (cf attached gdb trace)
> 
> Here it is.

Well, it's exploded from an access inside libao ...

> Program received signal SIGSEGV, Segmentation fault.
> __strlen_sse2_bsf () at ../sysdeps/i386/i686/multiarch/strlen-sse2-bsf.S:52
> 52      ../sysdeps/i386/i686/multiarch/strlen-sse2-bsf.S: No such file or directory.
> (gdb) bt
> #0  __strlen_sse2_bsf () at ../sysdeps/i386/i686/multiarch/strlen-sse2-bsf.S:52
> #1  0xf7e7ed2a in _sanitize_matrix (maxchannels=2, matrix=0x5 <Address 0x5 out of bounds>, device=<error reading variable: Unhandled dwarf expression opcode 0xfa>, 

... but this would seem to indicate libao may have been passed an
already corrupted data structure.

>     device=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at audio_out.c:633
> #2  0xf7e80a02 in _open_device (driver_id=<optimized out>, format=0xffffd318, options=0x0, file=0x0) at audio_out.c:989
> #3  0x082faf8f in ?? ()
> #4  0x082fe4df in ?? ()
> #5  0x082fba24 in ?? ()
> Backtrace stopped: previous frame inner to this frame (corrupt stack?)

... and this more or less means all bets are off for what we are
really seeing here.

You might want to build zsnes with debug symbols and inspect what
happened prior to calling this if you want to debug it further.

 Cheers,
 Ron






Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Sun, 01 Jul 2012 19:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 01 Jul 2012 19:51:05 GMT) Full text and rfc822 format available.

Message #97 received at 638741@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: Ron <ron@debian.org>
Cc: 638741@bugs.debian.org, Goswin von Brederlow <goswin-v-b@web.de>, 679526@bugs.debian.org
Subject: Re: Bug#638741: test results
Date: Sun, 1 Jul 2012 21:47:41 +0200
* Ron <ron@debian.org> [120701 21:44]:
> ... and this more or less means all bets are off for what we are
> really seeing here.
> 
> You might want to build zsnes with debug symbols and inspect what
> happened prior to calling this if you want to debug it further.

You're right. I'll investigate and dump the appropriate data
structures.

Do you think a strace output could help too ?

-- 
Etienne Millon




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Sun, 01 Jul 2012 20:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 01 Jul 2012 20:36:06 GMT) Full text and rfc822 format available.

Message #102 received at 638741@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: 638741@bugs.debian.org
Cc: <etienne.millon@gmail.com>, <ron@debian.org>, Etienne@frosties, Millon@frosties, Ron@frosties
Subject: Re: Bug#638741: zsnes segfault
Date: Sun, 01 Jul 2012 22:32:25 +0200
Hi,

I tried to reproduce this. At first with no success:

(chroot)mrvn@nas0:~% zsnes
ZSNES v1.51, (c) 1997-2007, ZSNES Team
Be sure to check http://www.zsnes.com/ for the latest version.

ZSNES is written by the ZSNES Team (See AUTHORS.TXT)
ZSNES comes with ABSOLUTELY NO WARRANTY.  This is free software,
and you are welcome to redistribute it under certain conditions;
please read 'LICENSE.TXT' thoroughly before doing so.

Use ZSNES -? for command line definitions.

Starting Mouse detection.
/dev/input does not exist or is inaccessable
ManyMouse: -1 mice detected.
shm_open() failed: Function not implemented
ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
ALSA lib conf.c:4241:(_snd_config_evaluate) function snd_func_card_driver returned error: No such file or directory
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:4241:(_snd_config_evaluate) function snd_func_concat returned error: No such file or directory
ALSA lib confmisc.c:1251:(snd_func_refer) error evaluating name
ALSA lib conf.c:4241:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:4720:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM default
ZSNES could not find any joysticks.


But since libao is a "Cross Platform Audio Output Library" I though that maybe
the lack of a soundcard would be relevant so next I tried it on a system with
sound:

root@frosties:/# zsnes
ZSNES v1.51, (c) 1997-2007, ZSNES Team
Be sure to check http://www.zsnes.com/ for the latest version.

ZSNES is written by the ZSNES Team (See AUTHORS.TXT)
ZSNES comes with ABSOLUTELY NO WARRANTY.  This is free software,
and you are welcome to redistribute it under certain conditions;
please read 'LICENSE.TXT' thoroughly before doing so.

Use ZSNES -? for command line definitions.

Starting Mouse detection.
/dev/input does not exist or is inaccessable
ManyMouse: -1 mice detected.
Segmentation fault

Now the funny thing is that I didn't even have the multi-arch libao4 installed
yet. That is a plain wheezy i386 chroot. Installing the multi-arch libao4
make no difference. It still segfaults.

So I would say this has nothing to do with the multi-arch patch.

MfG
	Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Sun, 01 Jul 2012 21:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 01 Jul 2012 21:09:12 GMT) Full text and rfc822 format available.

Message #107 received at 638741@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Etienne Millon <etienne.millon@gmail.com>, 638741@bugs.debian.org
Cc: 679526@bugs.debian.org
Subject: Re: Bug#638741: test results
Date: Mon, 2 Jul 2012 06:36:37 +0930
On Sun, Jul 01, 2012 at 09:47:41PM +0200, Etienne Millon wrote:
> * Ron <ron@debian.org> [120701 21:44]:
> > ... and this more or less means all bets are off for what we are
> > really seeing here.
> > 
> > You might want to build zsnes with debug symbols and inspect what
> > happened prior to calling this if you want to debug it further.
> 
> You're right. I'll investigate and dump the appropriate data
> structures.
> 
> Do you think a strace output could help too ?

Strace probably won't help a lot here, the problem isn't really tied to
interactions with system calls - my first guess would probably be that
something in zsnes isn't checking an error return that it should, and
continuing to call libao after some earlier operation failed.

It could be something entirely different to that too, but tracing the
entry to where this fell over should trip over whatever it actually is.

 Ron






Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Sun, 01 Jul 2012 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 01 Jul 2012 21:45:04 GMT) Full text and rfc822 format available.

Message #112 received at 638741@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: Ron <ron@debian.org>
Cc: 638741@bugs.debian.org, 679526@bugs.debian.org
Subject: Re: Bug#638741: test results
Date: Sun, 1 Jul 2012 23:13:23 +0200
* Ron <ron@debian.org> [120701 23:07]:
> Strace probably won't help a lot here, the problem isn't really tied
> to interactions with system calls - my first guess would probably be
> that something in zsnes isn't checking an error return that it
> should, and continuing to call libao after some earlier operation
> failed.
> 
> It could be something entirely different to that too, but tracing
> the entry to where this fell over should trip over whatever it
> actually is.

It has been filed as #679826, (unrelated to multiarch) -- I'll try
again once it has been solved.

-- 
Etienne Millon




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Mon, 02 Jul 2012 11:48:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 02 Jul 2012 11:48:44 GMT) Full text and rfc822 format available.

Message #117 received at 638741@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: 679526@bugs.debian.org
Cc: Ron <ron@debian.org>, Etienne Millon <etienne.millon@gmail.com>, 638741@bugs.debian.org
Subject: Re: Bug#679526: Bug#638741: Bug#679526: Build-Depends on obsolete package ia32-libs-dev
Date: Mon, 02 Jul 2012 13:40:19 +0200
Am 29.06.2012 21:38, schrieb Fabian Greffrath:
> Ouch...! /o\

Hey, wait, this is about /usr/lib vs. /usr/lib32 and not multiarch.




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#638741; Package libao4. (Mon, 02 Jul 2012 22:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Mon, 02 Jul 2012 22:57:06 GMT) Full text and rfc822 format available.

Message #122 received at 638741@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>, 638741@bugs.debian.org
Cc: 679526@bugs.debian.org
Subject: Re: Bug#638741: Bug#679526: Build-Depends on obsolete package ia32-libs-dev
Date: Tue, 3 Jul 2012 08:15:51 +0930
On Mon, Jul 02, 2012 at 01:40:19PM +0200, Fabian Greffrath wrote:
> Am 29.06.2012 21:38, schrieb Fabian Greffrath:
> >Ouch...! /o\
> 
> Hey, wait, this is about /usr/lib vs. /usr/lib32 and not multiarch.

Well we don't really know *what* it's about at all, since the reporter
didn't give us enough information to know and nobody from ubuntu followed
up to ask him.  We don't even know where he got "/usr/lib32" from, and
from the way it reads that may well have simply been just a guess as to
what he thought the right path should be.

The only things we know for sure is it was filed a few weeks after the m-a
upload to ubuntu - and nobody from ubuntu has been paying any attention to
the bugs reported against this lib there.

And of course that *after* the freeze is not the time to _begin_ testing
these things in Debian ...






Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:48:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.